## libpod 2.0.6+dfsg1

=== debian/changelog ===
libpod (2.0.6+dfsg1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules
    - allow building with older runc

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 18 Sep 2020 13:52:59 -0400

libpod (2.0.6+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: cleanups
  * drop malformed lintian override
  * Bump standard version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 14 Sep 2020 15:35:01 -0400

libpod (2.0.4+dfsg2-5) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 23 Aug 2020 02:42:00 +0800

libpod (2.0.4+dfsg2-4) experimental; urgency=medium

  * Team upload.
  * Tighten buildah Build-Depends version

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 20 Aug 2020 02:54:27 +0800

libpod (2.0.4+dfsg2-3) experimental; urgency=medium

  * Team upload.

  [ Reinhard Tartler ]
  * Add more notes on how to get started with Debian kernels

  [ Shengjing Zhu ]
  * Add patch to fix build with new runc

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 20 Aug 2020 01:00:02 +0800

libpod (2.0.4+dfsg2-2) unstable; urgency=medium

  [ Martin Pitt ]
  * Bump conmon dependency

  [ Dmitry Smirnov ]
  * Harmonize repacksuffix to fix CI.
  * Tighten recommendation on fuse-overlayfs (>= 1.0.0~).

  [ Reinhard Tartler ]
  * Bug fix: "Breaks docker", thanks to Jan Hudec (Closes: #968207).
    - No longer create symlink /run/docker.sock to avoid interfering
      with the docker daemon. Users that wish to replace the docker
      daemon with podman are advised to install the symlink themselves
      and arrange appropriate permissions for podman.sock.

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 11 Aug 2020 07:41:44 -0400

libpod (2.0.4+dfsg2-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 04 Aug 2020 07:01:48 -0400

libpod (2.0.4+dfsg2-1) unstable; urgency=medium

  * Vendor in protobuf 3 to workaround #961814
  * Remove "insanity workaround" related to protobuf
  * Hand in forgotten changelog entry in 2.0.4+dfsg1-1

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 03 Aug 2020 07:20:45 -0400

libpod (2.0.4+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * No longer install /etc/containers/libpod.conf (Closes: #961016)
      This file is deprecated in version 2.0 and is superseeded by
      /etc/containers/containers.conf, which is provided by the
      olang-github-containers-common package. The old file hardcodes
      a default OCI runtime that breaks in default installations.
  * Fixed REST API regression (Closes: #966501)

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 30 Jul 2020 07:12:41 -0400

libpod (2.0.3+dfsg1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 29 Jul 2020 13:24:08 -0400

libpod (2.0.3+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Install systemd helper files in favor of varlink (Closes: #966118)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 26 Jul 2020 10:53:39 -0400

libpod (2.0.2+dfsg1-3ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 25 Jul 2020 10:07:52 -0400

libpod (2.0.2+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 20 Jul 2020 10:18:00 -0400

libpod (2.0.2+dfsg1-2) experimental; urgency=medium

  * Team upload.
  * debian/rules: Add XDG_RUNTIME_DIR settings on build
    - Based on debian/rules from the ibus package, unbreaks
      testsuite on many buildds

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 17 Jul 2020 06:56:20 -0400

libpod (2.0.2+dfsg1-1) experimental; urgency=medium

  * Team upload.
  * New upstream version, Closes: #964378

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 16 Jul 2020 18:06:15 -0400

libpod (1.6.4+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * Rename golang-x-text-dev to golang-golang-x-text-dev

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 12 Jul 2020 18:51:51 +0800

libpod (1.6.4+dfsg1-3ubuntu1) groovy; urgency=medium

  * Work around differences of github-golang-docker-docker-dev vendored
    libraries in Debian and tighten build-dependency

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 May 2020 08:59:54 -0400

libpod (1.6.4+dfsg1-3) unstable; urgency=high

  * Team upload.
  * Do not copy up when volume is not empty
    CVE-2020-1726, Closes: #961421

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 28 May 2020 17:24:41 -0400

libpod (1.6.4+dfsg1-2) unstable; urgency=medium

  * Un-vendored "golang-github-checkpoint-restore-go-criu-dev".
  * Tightened dependency: "conmon (>= 2.0.2~)".
  * rules:
    + Golang insanity workaround.
    + Removed obsolete "containers_image_ostree" build tag.

 -- Dmitry Smirnov <onlyjob@debian.org>  Tue, 14 Jan 2020 10:56:58 +1100

libpod (1.6.4+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Install "seccomp.json".
  * Install tutorials.
  * Un-vendored "openshift/api" library.
  * Build-Depends:
    - golang-github-boltdb-bolt-dev
    + golang-github-coreos-bbolt-dev (>= 1.3.3~)
    - golang-github-containerd-continuity-dev
    = golang-github-containers-buildah-dev (>= 1.11.6~)
    = golang-github-containers-image-dev (>= 5.0.0~)
    + golang-github-openshift-api-dev


