=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg1,\
repack,compression=xz,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/containers/libpod/releases \
  .*/archive/v?(\d[-\d\.]+)\.tar\.gz
