## libpod 3.0.1%2Bdfsg1

=== debian/watch ===
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+dfsg1,\
repack,compression=xz,\
dirversionmangle=s/-rc/~rc/,\
uversionmangle=s/-rc/~rc/,\
dversionmangle=s{[+~]dfsg\d*}{},\
" https://github.com/containers/libpod/releases \
  .*/archive/v?(\d[-\w\d\.]+)\.tar\.gz
