=== debian/changelog ===
libpod (3.0.1+dfsg1-3+deb11u5) bullseye; urgency=medium

  * CVE-2022-2989: Cherry-pick "Add container GID to additional groups" patch
    from the v3.0.1-rhel upstream branch (itself a backport from v4.3.0), to
    address an incorrect handling of supplementary groups. (Closes: #1019591)
  * Add myself to Uploaders.

 -- Faidon Liambotis <paravoid@debian.org>  Fri, 29 Dec 2023 17:26:49 +0200

libpod (3.0.1+dfsg1-3+deb11u4) bullseye; urgency=medium

  * Recompile to fix parsing of DBUS_SESSION_BUS_ADDRESS (Closes: #1018816)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 16 Apr 2023 18:16:11 -0400

libpod (3.0.1+dfsg1-3+deb11u3) bullseye; urgency=medium

  * Fix and tighten dependencies

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 07 Apr 2023 22:10:33 -0400

libpod (3.0.1+dfsg1-3+deb11u2) bullseye; urgency=medium

  * CVE-2022-1227: pickup changes in containers/psgo, Closes: #1020907
  * CVE-2022-27649: do not set the inheritable capabilities, Closes: #1020906

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 05 Apr 2023 21:00:36 -0400

libpod (3.0.1+dfsg1-3+deb11u1) bullseye; urgency=medium

  * Rebuild against containers-common to pickup seccomp updates required
    for newer kernels. Closes: #​994451, #1006138

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 27 Feb 2022 08:49:15 -0500

libpod (3.0.1+dfsg1-3) unstable; urgency=medium

  * Add networking-lookup-child-IP-in-networks.patch, fixes rootless
    connection issue "Connection reset by peer", Closes: #989803

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 13 Jun 2021 18:28:49 -0400

libpod (3.0.1+dfsg1-2) unstable; urgency=medium

  * Prefer crun over runc, Closes: #985379
  * Add depends in iptables, Closes: #987207

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 21 Apr 2021 17:36:07 -0400

libpod (3.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * debian/control: tighten dependencies
  * drop inspect-volume-data.patch, merged upstream
  * Use packaged version of ocicrypt

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 24 Feb 2021 06:46:17 -0500

libpod (3.0.0+dfsg1-2) unstable; urgency=medium

  * Adjust dependencies on containers/{storage,image,common,buildah}
    as discussed with upstream

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Feb 2021 08:42:39 -0500

libpod (3.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Feb 2021 06:12:02 -0500

libpod (3.0.0~rc3+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Cleanup varlink service, closes: #981708
  * Tighten dependency on buildah to pickup fix for caching bug,
    closes: #982467

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 10 Feb 2021 06:54:28 -0500

libpod (3.0.0~rc2+dfsg1-2) unstable; urgency=medium

  * Upload to unstable

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 02 Feb 2021 17:21:00 -0500

libpod (3.0.0~rc2+dfsg1-1) experimental; urgency=medium

  * New upstream release
  * Install auto-update systemd units
  * debian/copyright: more updates
  * Install auto-update systemd units
  * systemd: Don't enable podman-auto-update.service in default.target
    (Closes: #981097)
  * Pass buildtags also go test invocation to unbreak autopkgtests when
    run as root

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Jan 2021 22:17:33 -0500

libpod (3.0.0~rc1+dfsg1-1) experimental; urgency=medium

  * New upstream version
  * Drop varlink references, dropped upstream
  * Remove confusing line (Closes: #980480)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 24 Jan 2021 11:16:44 -0500

libpod (2.2.1+dfsg1-1) experimental; urgency=medium

  * New upstream version
  * drop cobra-spf13-api.patch, no longer needed
  * Rely on upstream's build scripts to install manpages (Closes: #977502)
  * Remove conflicting manpage container-mounts(5), Closes: #977502
  * drop old-docker-api.patch, no longer needed

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 18 Dec 2020 07:16:27 -0500

libpod (2.2.0+dfsg1-1) experimental; urgency=medium

  * debian/changelog: Bump to libpod 2.2.0
  * Refresh distro patches
  * debian/control: Tighten build-dependency on buildah
  * add cobra-spf13-api.patch
  * debian/copyright: manual updates
  * podman: Add depends on golang-github-containernetworking-plugin-dnsname

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 08 Dec 2020 15:45:22 -0500

libpod (2.1.1+dfsg1-7) unstable; urgency=medium

  * Pass buildtags also go test invocation to unbreak autopkgtests
    on machines that run as real root.

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 01 Feb 2021 06:43:56 -0500

libpod (2.1.1+dfsg1-6) unstable; urgency=medium

  * debian/rules: Remove confusing line (Closes: #980480)
  * systemd: Don't enable podman-auto-update.service in default.target
    (Closes: #981097)

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Jan 2021 21:51:00 -0500

libpod (2.1.1+dfsg1-5) unstable; urgency=medium

  * Install auto-update systemd units

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 25 Jan 2021 07:49:44 -0500

libpod (2.1.1+dfsg1-4) unstable; urgency=medium

  * Ignore containers.conf sysctl when namespaces set to host
    (Closes: #979313)

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 06 Jan 2021 20:48:36 -0500

libpod (2.1.1+dfsg1-3) unstable; urgency=medium

  [ Dmitry Smirnov ]
  * Tightened versioned dependency on "containernetworking-plugins".

  [ Reinhard Tartler ]
  * debian/copyright: various cleanups
  * Fix handling of Ambient/Inheritable caps for non root user, Closes: #977717
  * Rely on upstream's build scripts to install manpages
  * Remove conflicting manpage container-mounts(5), Closes: #977502

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 22 Dec 2020 13:00:57 -0500

libpod (2.1.1+dfsg1-2) unstable; urgency=medium

  [ Reinhard Tartler ]
  * Install runc by default, Closes: #971253
  * Builds against structured-merge-diff/v4, Closes: #976410

  [ Antonio Terceiro ]

